Skip to main content
Document Operations

Add signatory

<small>Requires an API token with the Document Manager role.</small>

POST
/documents/{document}/signatories

Adds a signatory to a document.

The new signatory is placed at the end of the document's signing order, so their signing_order in the response is one higher than that of the document's last existing signatory. Use the Set signing order endpoint if you need a different order.

Note: When adding a signatory whose email corresponds to an existing user in the current fynk account, only party_uuid and email are required. Any additional fields (first_name, last_name, mobile_phone, title) will be ignored and the signatory information will be populated from the existing user's profile.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

Body

application/json
emailstringrequired

The signatory's email address

Maximum string length: 255
Example: miller@example.com
first_namestring | null
Maximum string length: 255
Example: Emily
last_namestring | null
Maximum string length: 255
Example: Miller
mobile_phonestring | null

Mobile phone number, in E.164 format, as shown in the example

Maximum string length: 255
Example: +447951123456
party_uuidstringrequired

UUID of the party the signatory will be signing for

Example: 595703a2-b7f6-4772-a4b7-ab2f9fac3a9f
titlestring | null
Maximum string length: 255
Example: Sales Manager

Response

application/json

SignatoryResource

dataobjectrequired